The International Simutrans Forum

 

Author Topic: [SOLVED => dumb user] Lots of "FATAL ERROR" "Cannot handle too new node version"  (Read 282 times)

0 Members and 1 Guest are viewing this topic.

Offline Robert57

  • *
  • Posts: 6
  • Languages: EN, FR
Hello,

Well, forget about it!
Just seems I have been messing up and downloaded/executed the wrong executable file  :-[

Quote
Coming back to the game after a long break, I'm trying, after the forum outage of these last days, to get back to the game and see how much it evolved since I last played it.

Trying the last nightlies from this morning (20200328) of both simutrans-extended and various paks, I've encountered some errors preventing the game to load :
  • pak192 comic Nightly is loading fine.
  • pak256-release-2.0.2.2 and pak128.britain-ex-nightly are having the same kind of problems, failing to load properly

Here's the kind of error I get :
Quote
[...]
Message: obj_reader_t::read_file():   filename='pak128.britain-ex-nightly/symbol.BigLogo.pak'
Message: obj_reader_t::read_file():   read 1 blocks, file version is 3eb
Message: obj_reader_t::load():   big logo 0x55e6e5dfb940
Message: obj_reader_t::read_file():   filename='pak128.britain-ex-nightly/ground.Outside.pak'
Message: obj_reader_t::read_file():   read 1 blocks, file version is 3eb
Message: ground_desc_t::register_desc():   setting raster width to 128
Message: obj_reader_t::load():   reading from 'pak128.britain-ex-nightly/'
Message: obj_reader_t::read_file():   filename='pak128.britain-ex-nightly/way.River2b.pak'
Message: obj_reader_t::read_file():   read 1 blocks, file version is 3eb
FATAL ERROR: way_reader_t::read_node() - Cannot handle too new node version 16902
Aborting program execution ...

Setting aside the file yielding the error, I keep running into many others on other files :
Quote
Message: obj_reader_t::read_file():   filename='pak128.britain-ex-nightly/vehicle.boeing-787-8-high-density.pak'
Message: obj_reader_t::read_file():   read 1 blocks, file version is 3eb
FATAL ERROR: vehicle_reader_t::read_node() - Cannot handle too new node version 17931
Aborting program execution ...
Quote
Message: obj_reader_t::read_file():   filename='pak128.britain-ex-nightly/vehicle.TugBargeLivestock.pak'
Message: obj_reader_t::read_file():   read 1 blocks, file version is 3eb
FATAL ERROR: vehicle_reader_t::read_node() - Cannot handle too new node version 17931
Aborting program execution ...
Quote
Message: obj_reader_t::read_file():   filename='pak128.britain-ex-nightly/factory.Wainwright1790.pak'
Message: obj_reader_t::read_file():   read 1 blocks, file version is 3eb
FATAL ERROR: factory_reader_t::read_node() - Cannot handle too new node version 17412
Aborting program execution ...

And so on...

For info, I'm on a Linux 64bits.
Quote
Reading low level config data ...
Simutrans version 121.0.1 Nightly from Mar 28 2020 r8977
parse_simuconf() at config/simuconf.tab: Reading simuconf.tab successful!
Message: simmain::main():   Version: 121.0.1 Nightly  Date: Mar 28 2020

Would you know how to solve these problems?

Best regards[/s]
« Last Edit: March 29, 2020, 10:28:53 AM by Robert57 »

Offline Andarix

  • *
  • Posts: 140
  • Languages: de
pak192 comic <- Simutrans Standard

pak256-release-2.0.2.2 and pak128.britain-ex <- Simutrans Extended

Simutrans Standard and Simutrans Extended are not compatible with each other

Offline Robert57

  • *
  • Posts: 6
  • Languages: EN, FR
Well, actually, pak192 comic is available for simutrans-extended (probably not since long): https://forum.simutrans.com/index.php/topic,19639.0.html
It is even listed in the Simutrans-Extended compatible paksets (it's the fourth one).
But anyway, that's not a problem as the comic pak is working fine.

The problem is more on the Britain pak (and just by curiosity, on the 256 japan pak which I'd very much like to see and try as it looks really beautiful).
Thanks.

Offline Andarix

  • *
  • Posts: 140
  • Languages: de
Well, actually, pak192 comic is available for simutrans-extended (probably not since long): https://forum.simutrans.com/index.php/topic,19639.0.html
...

It is not a good thing to use the same name for Standard and Extended. This inevitably leads to confusion.

It doesn't really surprise me

Offline Robert57

  • *
  • Posts: 6
  • Languages: EN, FR
As just edited in the first message, I messed up and got the proper version of simutrans-extended and it's working as it should... :-[
During the forum outage, I tried various things and this lead to that and I got confused in all the links and versions I had.

My bad.